package projcet2;

public class LinkedStack<T> {
private Node<T> topNode;
public void push(T data) {
Node<T> newNode = new Node<T>(data);
newNode.setNextNode(topNode);
topNode = newNode;
}
public Node<T> pop() {
Node<T> toDel = topNode;
assert topNode!=null : "Empty Stack" ;
topNode = topNode.getNextNode();
return toDel;
}
public Node<T> peek() { return topNode; }
public int length() {
int length = 0;
Node<T> curr = topNode;
while (curr != null) {
length++;
curr = curr.getNextNode();
}
return length;
}
public boolean isEmpty() { return (topNode == null); }
public void clear() { topNode.setNextNode(null); }
}